Skip to main content
GET
/
v1
/
markets
List Markets
curl --request GET \
  --url https://staging-api.polysimulator.com/v1/markets \
  --header 'X-API-Key: <x-api-key>'
[
  {
    "condition_id": "<string>",
    "slug": "<string>",
    "question": "<string>",
    "outcomes": [
      "<string>"
    ],
    "active": true,
    "closed": false,
    "is_hot": false,
    "image_url": "<string>",
    "live_price": {
      "buy": "<string>",
      "sell": "<string>",
      "volume": "<string>",
      "updated_at": "<string>",
      "source": "<string>",
      "outcomes": []
    }
  }
]

Headers

X-API-Key
string
required

Your PolySimulator API key

Query Parameters

hot_only
boolean
default:false

Only show high-volume markets

limit
integer
default:50
Required range: 1 <= x <= 200
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

condition_id
string
required
slug
string | null
question
string | null
outcomes
string[] | null
active
boolean
default:true
closed
boolean
default:false
is_hot
boolean
default:false
image_url
string | null
live_price
LivePrice · object